import { get } from '#/api/http'

import { BasicService } from '../basic'

class ChapterService extends BasicService {
  async tree(textbookId: any) {
    return await get('/mjchapter/tree', { textbookId })
  }

  protected findPageUrl(): string {
    return '/mjchapter/listAll'
  }

  protected removeUrl(): string {
    return ''
  }

  protected saveOrUpdateUrl(): string {
    return ''
  }
}

export const chapterService = new ChapterService()
